<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package spatium14
 */
global $spatium14_opt; //for redux-options
?>
</div><!-- #content -->
<div class="front-line"></div>
<div class="uk-section uk-padding-small bg-light-sea cta-footer"> 
	<div class="uk-container uk-padding  uk-text-center">
		<?php if ($spatium14_opt['footer-cta'] !=''): //field fill check redux    ?>
			
<?php  //sanitization of a text editor
$string = wp_unslash( $spatium14_opt ['footer-cta']);
// valid tags
$allowed_html = array(
	'a' => array(
		'href'  => true,
		'title' => true,
	),
	'br'     => array(),
	'em'     => array(),
	'strong' => array()
); 
$text = wp_kses( $string, $allowed_html );
echo $spatium14_opt ['footer-cta'] ;
?>
<?php endif ?>

</div>
</div>
<div class="uk-section uk-padding-remove bg-sea ">  
	<div class="uk-container uk-padding ">
		<div class="uk-child-width-expand@s" uk-grid>
			<div> <?php if ( is_active_sidebar('f-bar-1') ) : ?>
			<?php dynamic_sidebar('f-bar-1' ); ?> 
		<?php endif; ?>
	</div>
	<div> <?php if ( is_active_sidebar('f-bar-2') ) : ?>
	<?php dynamic_sidebar('f-bar-2' ); ?> 
<?php endif; ?>
</div>
</div>
</div>
<div class="uk-container uk-padding-small"> 
	<hr class="copy-separ">
	<footer id="colophon" class="site-footer">
		
		<div class="site-info">
			&copy; <?php echo date_i18n( __( 'Y', 'spatium14' ) ); ?>  <?php bloginfo("name"); ?> 
			<span class="sep"> | </span>
			<?php do_action('spatium14_sign'); ?>
		</div><!-- .site-info -->
		
	</footer><!-- #colophon -->
</div>
</div>
</div><!-- #page -->
<a id="upbutton" href="#" uk-totop uk-scroll data-uk-smooth-scroll width="34" height="34" ></a>
<?php wp_footer(); ?>
 
 
</body>
</html>
