<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

 add_action('wp_enqueue_scripts', 'spatium14_scripts_method' );
function spatium14_scripts_method(){
	wp_enqueue_script( 'jquery' );
}


/**
 * Enqueue scripts and styles.
 */
function spatium14_scripts() {
wp_enqueue_style( 'spatium14-style', get_stylesheet_uri() );
wp_enqueue_style( 'spatium14-uikit', get_stylesheet_directory_uri() .'/assets/css/uikit.css',  null, 'all' );
wp_enqueue_style( 'spatium14-main', get_stylesheet_directory_uri() .'/assets/css/main.css', null, 'all' );

//scripts general
wp_enqueue_script( 'spatium14-uikit', get_template_directory_uri() . '/assets/js/uikit.js', array(), null, true );
wp_enqueue_script( 'spatium14-uikit-icons', get_template_directory_uri() . '/assets/js/uikit-icons.js', array(), null, true );

wp_enqueue_script( 'spatium14-app-scripts', get_template_directory_uri() . '/assets/js/app-scripts.js', array('jquery'), null, true );


wp_enqueue_script( 'spatium14-skip-link-focus-fix', get_template_directory_uri() . '/assets/js/skip-link-focus-fix.js', array(), '20151215', true );



	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'spatium14_scripts' );

/**
 * Registers an editor stylesheet for admin area
 */

if ( ! function_exists( 'spatium14_editor_styles' ) ) :
	function spatium14_editor_styles() {
		add_editor_style( 'style-editor.css' );
	}
endif;
add_action( 'admin_init', 'spatium14_editor_styles' );
