<?php
/**
 * Template name: HTML Sitemap page
 *
 * @package spatium14
 */
get_header();
?>
<div class="uk-section uk-section-default">
  <div class="uk-container">
   <div id="primary" class="content-area">
    <main id="main" class="site-main">
      <?php
      while ( have_posts() ) :
       the_post();
       get_template_part( 'template-parts/content', 'page' );
       
		endwhile; // End of the loop.
		?>
  </main><!-- #main -->
</div><!-- #primary -->
</div>
<div class="uk-container">
  <div class="uk-column-1-3@m uk-column-divider">
   <h2> <?php esc_html_e( 'Pages', 'spatium14' ) ?></h2>
   <ul>
    <?php
        wp_list_pages('exclude=');  
        ?>
      </ul> 
      <h2> <?php esc_html_e( 'Articles', 'spatium14' ) ?></h2>




     <ul>
<?php
$ref_month = '';
$monthly = new WP_Query(array('posts_per_page' => -1));
if( $monthly->have_posts() ) : while( $monthly->have_posts() ) : $monthly->the_post();
if( get_the_date('mY') != $ref_month ) {
 if( $ref_month );
 echo '<h3>'.get_the_date('F Y').'</h3>';
 $ref_month = esc_attr(get_the_date('mY') ) ;
 }
echo  '<li><a href='.get_permalink($post->ID).'>'.get_the_title($post->ID).  '</a></li>';
endwhile;
echo '';
endif;
?></ul>
<?php
wp_reset_postdata();
?>

 
</div>
</div>
</div> <!-- .section -->
<?php get_footer(); ?>
