<?php
/**
 * Spatium14 functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Spatium14
 */


/**
 * enqueue-script-style
 */
require get_template_directory() . '/inc/function-parts/enqueue-script-style.php';
/**
 * theme-functions
 */
require get_template_directory() . '/inc/function-parts/custom-functions.php';
/**
 * theme-settings
 */
require get_template_directory() . '/inc/function-parts/theme-settings.php';
/**
 * widget-areas
 */
require get_template_directory() . '/inc/function-parts/widget-areas.php';



/**
 * Implement the Custom Header feature (not used)
//require get_template_directory() . '/inc/core-theme/custom-header.php';
/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/core-theme/template-tags.php';
/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/core-theme/template-functions.php';
/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/core-theme/customizer.php';
/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/core-theme/jetpack.php';
}


/**
 * spatium14_Menu_Walker
 */
require get_template_directory() . '/inc/nav/spatium14_Menu_Walker.php';


/**
 * TGM-init
 */
require get_template_directory() . '/inc/app/tgm-init.php';
/**
 * redux-options
 */
require get_template_directory() . '/inc/app/redux-options.php';



/**
 * Load WooCommerce compatibility file.
 */
if ( class_exists( 'WooCommerce' ) ) {
	require get_template_directory() . '/inc/woocommerce.php';
}
